/**
* THIS FILE IS AUTOMATICALLY GENERATED BY src/core/config/scripts/generateConfig.mjs
*
* @author n1474335 [n1474335@gmail.com]
* @copyright Crown Copyright 2024
* @license Apache-2.0
*/
import A1Z26CipherDecode from "../../operations/A1Z26CipherDecode.mjs";
import A1Z26CipherEncode from "../../operations/A1Z26CipherEncode.mjs";
import AESDecrypt from "../../operations/AESDecrypt.mjs";
import AESEncrypt from "../../operations/AESEncrypt.mjs";
import AESKeyUnwrap from "../../operations/AESKeyUnwrap.mjs";
import AESKeyWrap from "../../operations/AESKeyWrap.mjs";
import AffineCipherDecode from "../../operations/AffineCipherDecode.mjs";
import AffineCipherEncode from "../../operations/AffineCipherEncode.mjs";
import AtbashCipher from "../../operations/AtbashCipher.mjs";
import BifidCipherDecode from "../../operations/BifidCipherDecode.mjs";
import BifidCipherEncode from "../../operations/BifidCipherEncode.mjs";
import BlowfishDecrypt from "../../operations/BlowfishDecrypt.mjs";
import BlowfishEncrypt from "../../operations/BlowfishEncrypt.mjs";
import CaesarBoxCipher from "../../operations/CaesarBoxCipher.mjs";
import CetaceanCipherDecode from "../../operations/CetaceanCipherDecode.mjs";
import CetaceanCipherEncode from "../../operations/CetaceanCipherEncode.mjs";
import ChaCha from "../../operations/ChaCha.mjs";
import DESDecrypt from "../../operations/DESDecrypt.mjs";
import DESEncrypt from "../../operations/DESEncrypt.mjs";
import DeriveEVPKey from "../../operations/DeriveEVPKey.mjs";
import DerivePBKDF2Key from "../../operations/DerivePBKDF2Key.mjs";
import ECDSASign from "../../operations/ECDSASign.mjs";
import ECDSASignatureConversion from "../../operations/ECDSASignatureConversion.mjs";
import ECDSAVerify from "../../operations/ECDSAVerify.mjs";
import GOSTDecrypt from "../../operations/GOSTDecrypt.mjs";
import GOSTEncrypt from "../../operations/GOSTEncrypt.mjs";
import GOSTKeyUnwrap from "../../operations/GOSTKeyUnwrap.mjs";
import GOSTKeyWrap from "../../operations/GOSTKeyWrap.mjs";
import GOSTSign from "../../operations/GOSTSign.mjs";
import GOSTVerify from "../../operations/GOSTVerify.mjs";
import GenerateECDSAKeyPair from "../../operations/GenerateECDSAKeyPair.mjs";
import GenerateRSAKeyPair from "../../operations/GenerateRSAKeyPair.mjs";
import PseudoRandomNumberGenerator from "../../operations/PseudoRandomNumberGenerator.mjs";
import RC2Decrypt from "../../operations/RC2Decrypt.mjs";
import RC2Encrypt from "../../operations/RC2Encrypt.mjs";
import RC4 from "../../operations/RC4.mjs";
import RC4Drop from "../../operations/RC4Drop.mjs";
import RSADecrypt from "../../operations/RSADecrypt.mjs";
import RSAEncrypt from "../../operations/RSAEncrypt.mjs";
import RSASign from "../../operations/RSASign.mjs";
import RSAVerify from "../../operations/RSAVerify.mjs";
import Rabbit from "../../operations/Rabbit.mjs";
import RailFenceCipherDecode from "../../operations/RailFenceCipherDecode.mjs";
import RailFenceCipherEncode from "../../operations/RailFenceCipherEncode.mjs";
import SM4Decrypt from "../../operations/SM4Decrypt.mjs";
import SM4Encrypt from "../../operations/SM4Encrypt.mjs";
import Salsa20 from "../../operations/Salsa20.mjs";
import TripleDESDecrypt from "../../operations/TripleDESDecrypt.mjs";
import TripleDESEncrypt from "../../operations/TripleDESEncrypt.mjs";
import VigenèreDecode from "../../operations/VigenèreDecode.mjs";
import VigenèreEncode from "../../operations/VigenèreEncode.mjs";
import XSalsa20 from "../../operations/XSalsa20.mjs";
import XXTEADecrypt from "../../operations/XXTEADecrypt.mjs";
import XXTEAEncrypt from "../../operations/XXTEAEncrypt.mjs";

const OpModules = typeof self === "undefined" ? {} : self.OpModules || {};

OpModules.Ciphers = {
    "A1Z26 Cipher Decode": A1Z26CipherDecode,
    "A1Z26 Cipher Encode": A1Z26CipherEncode,
    "AES Decrypt": AESDecrypt,
    "AES Encrypt": AESEncrypt,
    "AES Key Unwrap": AESKeyUnwrap,
    "AES Key Wrap": AESKeyWrap,
    "Affine Cipher Decode": AffineCipherDecode,
    "Affine Cipher Encode": AffineCipherEncode,
    "Atbash Cipher": AtbashCipher,
    "Bifid Cipher Decode": BifidCipherDecode,
    "Bifid Cipher Encode": BifidCipherEncode,
    "Blowfish Decrypt": BlowfishDecrypt,
    "Blowfish Encrypt": BlowfishEncrypt,
    "Caesar Box Cipher": CaesarBoxCipher,
    "Cetacean Cipher Decode": CetaceanCipherDecode,
    "Cetacean Cipher Encode": CetaceanCipherEncode,
    "ChaCha": ChaCha,
    "DES Decrypt": DESDecrypt,
    "DES Encrypt": DESEncrypt,
    "Derive EVP key": DeriveEVPKey,
    "Derive PBKDF2 key": DerivePBKDF2Key,
    "ECDSA Sign": ECDSASign,
    "ECDSA Signature Conversion": ECDSASignatureConversion,
    "ECDSA Verify": ECDSAVerify,
    "GOST Decrypt": GOSTDecrypt,
    "GOST Encrypt": GOSTEncrypt,
    "GOST Key Unwrap": GOSTKeyUnwrap,
    "GOST Key Wrap": GOSTKeyWrap,
    "GOST Sign": GOSTSign,
    "GOST Verify": GOSTVerify,
    "Generate ECDSA Key Pair": GenerateECDSAKeyPair,
    "Generate RSA Key Pair": GenerateRSAKeyPair,
    "Pseudo-Random Number Generator": PseudoRandomNumberGenerator,
    "RC2 Decrypt": RC2Decrypt,
    "RC2 Encrypt": RC2Encrypt,
    "RC4": RC4,
    "RC4 Drop": RC4Drop,
    "RSA Decrypt": RSADecrypt,
    "RSA Encrypt": RSAEncrypt,
    "RSA Sign": RSASign,
    "RSA Verify": RSAVerify,
    "Rabbit": Rabbit,
    "Rail Fence Cipher Decode": RailFenceCipherDecode,
    "Rail Fence Cipher Encode": RailFenceCipherEncode,
    "SM4 Decrypt": SM4Decrypt,
    "SM4 Encrypt": SM4Encrypt,
    "Salsa20": Salsa20,
    "Triple DES Decrypt": TripleDESDecrypt,
    "Triple DES Encrypt": TripleDESEncrypt,
    "Vigenère Decode": VigenèreDecode,
    "Vigenère Encode": VigenèreEncode,
    "XSalsa20": XSalsa20,
    "XXTEA Decrypt": XXTEADecrypt,
    "XXTEA Encrypt": XXTEAEncrypt,
};

export default OpModules;
