/**
* THIS FILE IS AUTOMATICALLY GENERATED BY src/core/config/scripts/generateConfig.mjs
*
* @author n1474335 [n1474335@gmail.com]
* @copyright Crown Copyright 2024
* @license Apache-2.0
*/
import HexToObjectIdentifier from "../../operations/HexToObjectIdentifier.mjs";
import HexToPEM from "../../operations/HexToPEM.mjs";
import JWKToPem from "../../operations/JWKToPem.mjs";
import ObjectIdentifierToHex from "../../operations/ObjectIdentifierToHex.mjs";
import PEMToJWK from "../../operations/PEMToJWK.mjs";
import ParseASN1HexString from "../../operations/ParseASN1HexString.mjs";
import ParseCSR from "../../operations/ParseCSR.mjs";
import ParseX509Certificate from "../../operations/ParseX509Certificate.mjs";
import PubKeyFromCert from "../../operations/PubKeyFromCert.mjs";
import PubKeyFromPrivKey from "../../operations/PubKeyFromPrivKey.mjs";

const OpModules = typeof self === "undefined" ? {} : self.OpModules || {};

OpModules.PublicKey = {
    "Hex to Object Identifier": HexToObjectIdentifier,
    "Hex to PEM": HexToPEM,
    "JWK to PEM": JWKToPem,
    "Object Identifier to Hex": ObjectIdentifierToHex,
    "PEM to JWK": PEMToJWK,
    "Parse ASN.1 hex string": ParseASN1HexString,
    "Parse CSR": ParseCSR,
    "Parse X.509 certificate": ParseX509Certificate,
    "Public Key from Certificate": PubKeyFromCert,
    "Public Key from Private Key": PubKeyFromPrivKey,
};

export default OpModules;
